#region Using directives

using System;
using System.Reflection;
using System.Resources;
using System.Runtime.InteropServices;
using System.Windows;
using System.Runtime.CompilerServices;

#endregion

// General Information about an assembly is controlled through the following 
// set of attributes. Change these attribute values to modify the information
// associated with an assembly.
[assembly: AssemblyTitle("FlickrMetadataSynchr")]
[assembly: AssemblyDescription("Tool to synchronize metadata between Flickr and locally stored images")]
#if DEBUG
[assembly: AssemblyConfiguration("DEBUG")]
#else
[assembly: AssemblyConfiguration("RELEASE")]
#endif
[assembly: AssemblyCompany("Erwyn van der Meer")]
[assembly: AssemblyProduct("FlickrMetadataSynchr")]
[assembly: AssemblyCopyright("Copyright (c) 2008 Erwyn van der Meer")]
[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]
[assembly: ComVisible(false)]

//In order to begin building localizable applications, set 
//<UICulture>CultureYouAreCodingWith</UICulture> in your .csproj file
//inside a <PropertyGroup>.  For example, if you are using US english
//in your source files, set the <UICulture> to en-US.  Then uncomment
//the NeutralResourceLanguage attribute below.  Update the "en-US" in
//the line below to match the UICulture setting in the project file.
[assembly: NeutralResourcesLanguage("en-US", UltimateResourceFallbackLocation.MainAssembly)]

[assembly: CLSCompliant(true)]

// Specifies the location in which theme dictionaries are stored for types in an assembly.
[assembly: ThemeInfo(
    // Specifies the location of system theme-specific resource dictionaries for this project.
    // The default setting in this project is "None" since this default project does not
    // include these user-defined theme files:
    //     Themes\Aero.NormalColor.xaml
    //     Themes\Classic.xaml
    //     Themes\Luna.Homestead.xaml
    //     Themes\Luna.Metallic.xaml
    //     Themes\Luna.NormalColor.xaml
    //     Themes\Royale.NormalColor.xaml
     ResourceDictionaryLocation.None,

     // Specifies the location of the system non-theme specific resource dictionary:
    //     Themes\generic.xaml
     ResourceDictionaryLocation.SourceAssembly)]

[assembly: Guid("3DAE5AB1-D754-486a-B14A-1A303E736098")]

[assembly: InternalsVisibleTo("FlickrMetadataSynchr.UnitTests, PublicKey="+
"002400000480000094000000060200000024000052534131000400000100010069b88b7569f94c"+
"942ffafa142736c9f01f4c856ce1922d7535fd9e8cd5dd33069b2523cc7c38ea0bf9b3ecc52e99"+
"e03f12d0e7ed3295df6ae545bf52989a301e90c86ab77e7a56ee75a9eb4924740c68286d804bee"+
"4cda730d844f05b168dc620a22e3e8f31a07347370e00e36fc1f96f4aecf94a787e8cbad1ae3ab"+
"fe3ab7e0")]    
