using System;
using System.Collections.Generic;
using System.Text;

namespace Yorrick.FlickrMetadataSynchr.Flickr
{
   #region Inner class FlickrErrorCodes
   /// <summary>
   /// Error codes returned by the Flickr API.
   /// </summary>
   internal static class FlickrErrorCodes
   {
      /// <summary>
      /// Error does not originate in the Flickr API.
      /// </summary>
      public const int NoApiError = 0;

      /// <summary>
      /// Cannot connect to the Flickr 
      /// </summary>
      public const int ConnectionFailure = -1;

      /// <summary>
      /// Invalid authorization token.
      /// </summary>
      public const int InvalidAuthorizationToken = 98;
   }
   #endregion
}
