﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Yorrick.FlickrMetadataSynchr.Log
{
    /// <summary>
    /// Interaction logic for LogWindow.xaml
    /// </summary>
    public partial class LogWindow : Window
    {

        #region Public properties
        /// <summary>
        /// The activity items to show in this window.
        /// </summary>
        public ObservableCollection<ActivityItem> ActivityItems
        {
            get
            {
                return (ObservableCollection<ActivityItem>)GetValue(ActivityItemsProperty);
            }
            set
            {
                SetValue(ActivityItemsProperty, value);
            }
        }

        public static readonly DependencyProperty ActivityItemsProperty =
            DependencyProperty.Register("ActivityItems", typeof(ObservableCollection<ActivityItem>), typeof(LogWindow), new UIPropertyMetadata(null));
        #endregion

        public LogWindow()
        {
            InitializeComponent();
        }
    }
}
