using System;
using System.Collections.Generic;
using System.Text;

namespace Yorrick.FlickrMetadataSynchr.Sync
{
   /// <summary>
   /// Enumeration for specifying the sort behavior for tags.
   /// </summary>
   public enum TagsSortBehavior
   {
      /// <summary>
      /// The default tag sort behavior.
      /// </summary>
      Default = 0,
      /// <summary>
      /// Keep the tags as much as possible in their original order.
      /// </summary>
      OriginalOrder = 0,
      /// <summary>
      /// Sort merged tags alphabetically.
      /// </summary>
      SortAlphabetically = 1
   }
}
