using System;
using System.Collections.Generic;
using System.Text;

namespace Yorrick.FlickrMetadataSynchr.Sync
{
   /// <summary>
   /// Enumeration for different sync options for tags.
   /// </summary>
   public enum TagsSyncBehavior
   {
      /// <summary>
      /// Don't synchronize.
      /// </summary>
      None = 0,
      /// <summary>
      /// The last updated side wins.
      /// </summary>
      NewestWins = 1,
      /// <summary>
      /// Merge tags on Flickr with those on local pictures and update
      /// both sides.
      /// </summary>
      Merge = 2
   }
}
